hslua-packaging-2.1.0: Utilities to build Lua modules.

Copyright | © 2019-2022 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+hslua@zeitkraut.de>
Safe Haskell | None
Language | Haskell2010

HsLua.Packaging

Contents

- Modules
- Object oriented marshalling
- Register and access docs in Lua
- Types

Description

Tools to create documented Lua functions and modules.

Synopsis

- module HsLua.Packaging.Module
- module HsLua.Packaging.Function
- module HsLua.Packaging.Convenience
- module HsLua.Packaging.UDType
- module HsLua.Packaging.Documentation
- module HsLua.Packaging.Types

# Modules

module HsLua.Packaging.Module

module HsLua.Packaging.Function

module HsLua.Packaging.Convenience

# Object oriented marshalling

module HsLua.Packaging.UDType

# Register and access docs in Lua

module HsLua.Packaging.Documentation

# Types

module HsLua.Packaging.Types